std_abs.h File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Functions

constexpr double | std::abs (double __x)
constexpr float | std::abs (float __x)
long | std::abs (long __i)
constexpr long double | std::abs (long double __x)
long long | std::abs (long long __x)
template<typename _Tp, typename _Abi, typename..., typename _R = _Math_return_type_t< decltype(std::abs(declval<double>())), _Tp, _Abi>>
_GLIBCXX_SIMD_ALWAYS_INLINE enable_if_t< is_floating_point_v< _Tp >, _R > | std::abs (simd< _Tp, _Abi > __x)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <cmath> or < cstdlib>.

Definition in file std_abs.h.

## Macro Definition Documentation

## _GLIBCXX_INCLUDE_NEXT_C_HEADERS

#define _GLIBCXX_INCLUDE_NEXT_C_HEADERS

Definition at line 43 of file std_abs.h.